function [c x]=hist_obrazu(varargin)

[a, n] = parse_inputs(varargin{:});

[c, x] = hist(a(:),n);
figure; stem(x, c, 'Marker', 'none')
xlim([min(a(:)) max(a(:))]);
hs = gca;

% Get axis position and make room for color stripe.
pos = get(hs,'pos');
stripe = 0.075;
set(hs,'pos',[pos(1) 0.05+pos(2)+stripe*pos(4)...
              pos(3) (1-stripe)*pos(4)-0.05])
%set(hs,'xticklabel','')

% Create axis for stripe
axes('Position', [pos(1) pos(2) pos(3) stripe*pos(4)]);
limits = axis;

% Create color stripe
imagesc([min(a(:)) max(a(:))],[0 1],1:n); 
colormap(gray);
limits(1) = min(a(:));
limits(2) = max(a(:));

set(gca,'yticklabel','')
axis(limits);
j=line(limits([1 2 2 1 1]),limits([3 3 4 4 3]));set(j,'linestyle','-')
set(j,'color',get(gca,'xcolor'))

% Put a border around the stripe.
j=line(limits([1 2 2 1 1]),limits([3 3 4 4 3]));set(j,'linestyle','-')
set(j,'color',get(gca,'xcolor'))
axes(hs)
set(gcf,'Nextplot','replace')



function [a, n, isScaled, top, map] = parse_inputs(varargin)

iptchecknargin(1,2,nargin,mfilename);
a = varargin{1};
iptcheckinput(a, {'double','uint8','logical','uint16','int16','single'},...
              {'2d','nonsparse'}, mfilename, ['I or ' 'X'], 1);

if (nargin ==2)
    n = varargin{2};
    iptcheckinput(n, {'numeric'}, {'real','positive','integer'},...
                  mfilename, 'N', 2);
else
    if isa(a,'double') || isa(a,'single')
        n = abs(min(a(:))) + max(a(:)) + 1;
    elseif islogical(a)
        n = 2;
        a=double(a);
    else
        n = double(intmax(class(a)));
        a=double(a);
    end
end
